%define major	6
%define libname %mklibname ice %{major}
%define devname	%mklibname ice -d

Name:		libice
Summary:	X Inter Client Exchange Library
Version:	1.1.1
Release:	%mkrel 1
Group:		Development/X11
License:	MIT
URL:		https://xorg.freedesktop.org
Source0:	https://xorg.freedesktop.org/releases/individual/lib/libICE-%{version}.tar.xz

BuildRequires:	pkgconfig(libbsd)
BuildRequires:	x11-proto-devel >= 1.0.0
BuildRequires:	x11-util-macros >= 1.0.1
BuildRequires:	pkgconfig(xtrans) >= 1.0.0

%description
libice provides an interface to ICE, the Inter-Client Exchange protocol.
Motivated by issues arising from the need for X Window System clients to
share data with each other, the ICE protocol provides a generic framework for
building protocols on top of reliable, byte-stream transport connections. It
provides basic mechanisms for setting up and shutting down connections, for
performing authentication, for negotiating versions, and for reporting
errors.

#-----------------------------------------------------------

%package -n	%{libname}
Summary:	X Inter Client Exchange Library
Group:		Development/X11
Conflicts:	libxorg-x11 < 7.0
Provides:	%{name} = %{version}

%description -n %{libname}
libice provides an interface to ICE, the Inter-Client Exchange protocol.
Motivated by issues arising from the need for X Window System clients to
share data with each other, the ICE protocol provides a generic framework for
building protocols on top of reliable, byte-stream transport connections. It
provides basic mechanisms for setting up and shutting down connections, for
performing authentication, for negotiating versions, and for reporting
errors.

#-----------------------------------------------------------

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/X11
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}ice6-devel < 1.0.7-3
Obsoletes:	%{_lib}ice6-static-devel < 1.0.7-3
Conflicts:	libxorg-x11-devel < 7.0
Conflicts:	%{_lib}ice6 < 1.0.7-3

%description -n %{devname}
Development files for %{name}

#-----------------------------------------------------------

%prep
%setup -q -n libICE-%{version}

%build
%configure \
	--x-includes=%{_includedir} \
	--x-libraries=%{_libdir} \
	--disable-static

%make_build

%install
%make_install

mv %{buildroot}%{_defaultdocdir}/libICE installed-docs

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{devname}
%doc installed-docs/*
%{_libdir}/libICE.so
%{_libdir}/pkgconfig/ice.pc
%{_includedir}/X11/ICE/ICEutil.h
%{_includedir}/X11/ICE/ICE.h
%{_includedir}/X11/ICE/ICEproto.h
%{_includedir}/X11/ICE/ICEconn.h
%{_includedir}/X11/ICE/ICElib.h
%{_includedir}/X11/ICE/ICEmsg.h

%files -n %{libname}
%{_libdir}/libICE.so.%{major}{,.*}


%changelog
* Fri Dec 09 2022 luigiwalser <luigiwalser> 1.1.1-1.mga9
+ Revision: 1919983
- 1.1.1
- 1.1.0

* Tue Mar 15 2022 umeabot <umeabot> 1.0.10-3.mga9
+ Revision: 1793277
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 1.0.10-2.mga8
+ Revision: 1527309
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Jul 15 2019 tv <tv> 1.0.10-1.mga8
+ Revision: 1421681
- new release

* Sun Sep 23 2018 umeabot <umeabot> 1.0.9-6.mga7
+ Revision: 1298911
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Wed Mar 01 2017 tv <tv> 1.0.9-5.mga6
+ Revision: 1088368
- use libbsd for randoms (CVE-2017-2626, mga#20378)

* Mon Feb 01 2016 umeabot <umeabot> 1.0.9-4.mga6
+ Revision: 930086
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.9-3.mga5
+ Revision: 749708
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.9-2.mga5
+ Revision: 681526
- Mageia 5 Mass Rebuild

* Tue Jun 10 2014 tv <tv> 1.0.9-1.mga5
+ Revision: 635371
- new release

* Fri Oct 18 2013 umeabot <umeabot> 1.0.8-4.mga4
+ Revision: 522141
- Mageia 4 Mass Rebuild

* Fri Feb 08 2013 luigiwalser <luigiwalser> 1.0.8-3.mga3
+ Revision: 397136
- remove obsolete pre script

* Sat Jan 12 2013 umeabot <umeabot> 1.0.8-2.mga3
+ Revision: 357485
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 05 2012 tv <tv> 1.0.8-1.mga2
+ Revision: 218473
- new release

* Fri Dec 16 2011 wally <wally> 1.0.7-3.mga2
+ Revision: 182636
- remove major from devel pkg name
- drop .la files
- disable static build
- move docs to -devel pkg

* Sat Jan 08 2011 blino <blino> 1.0.7-2.mga1
+ Revision: 1072
- remove old ldconfig scriptlets
- imported package libice


* Wed Oct 20 2010 Thierry Vignaud <tv@mandriva.org> 1.0.7-1mdv2011.0
+ Revision: 586888
- adjust file list
- new release

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.6-2mdv2010.1
+ Revision: 520867
- rebuilt for 2010.1

* Mon Aug 31 2009 Thierry Vignaud <tv@mandriva.org> 1.0.6-1mdv2010.0
+ Revision: 422874
- new release

* Sat Jan 10 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.5-1mdv2009.1
+ Revision: 328129
- update to new version 1.0.5

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 1.0.4-5mdv2009.0
+ Revision: 264806
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Jun 02 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.4-4mdv2009.0
+ Revision: 214369
- Rebuild to match changes in xtrans.
- Revert build requires.

* Mon Jan 14 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.4-3mdv2008.1
+ Revision: 151454
- Update BuildRequires and rebuild.

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Aug 21 2007 Thierry Vignaud <tv@mandriva.org> 1.0.4-1mdv2008.0
+ Revision: 68269
- new release


* Fri Feb 16 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0.3-1mdv2007.0
+ Revision: 121707
- new release

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - rebuild to fix cooker uploading
    - X11R7.1
    - increment release
    - fixed more dependencies
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

